Campaigns Shipping Methods Create
Create a shipping method on the campaign. `price` is set for the campaign's default currency; every other currency configured on the campaign is populated automatically through forex conversion.
Authorization
oauth2 campaigns:writeGenerate an Access Token through Settings > API Access for single store access or use the Authorization Code flow with your partner App Client ID. Use required permission scopes for API endpoint access. Example Authorization: Bearer 123
In: header
Scope: campaigns:write
Path Parameters
Campaign ID.
Header Parameters
"unstable"Value in
- "unstable"
Response Body
application/json
curl -X POST "https://example.com/campaigns/0/shipping-methods/" \ -H "X-29next-API-Version: unstable" \ -H "Content-Type: application/json" \ -d '{ "price": "string", "shipping_method": "string" }'{ "id": 0, "name": "string", "prices": [ { "currency": "str", "price": "string" } ], "shipping_method": "string"}